summaryrefslogtreecommitdiffstats
path: root/desktop/dbgl
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/dbgl')
-rw-r--r--desktop/dbgl/README12
-rw-r--r--desktop/dbgl/dbgl.SlackBuild59
-rw-r--r--desktop/dbgl/dbgl.info18
-rw-r--r--desktop/dbgl/slack-desc4
4 files changed, 60 insertions, 33 deletions
diff --git a/desktop/dbgl/README b/desktop/dbgl/README
index 60db979399..1d85ee835f 100644
--- a/desktop/dbgl/README
+++ b/desktop/dbgl/README
@@ -2,8 +2,14 @@ DBGL serves as a frontend / Graphical User Interface to DOSBox
(configuration). It tries to make creating DOSBox configuration files
a little easier by offering a (relatively) simple interface, some
shortcuts and a little bit of intelligence (DOSBox behavior).
-Once your DOS games are configured in DBGL, its very easy to setup or
+Once your DOS games are configured in DBGL, it's very easy to setup or
start them, or alter their configuration or associated DOSBox version.
-Note: this works with both 'dosbox' and 'dosbox-dev' packages available
- at SBo, at least one of them must be installed.
+Notes:
+1. this works with both 'dosbox' and 'dosbox-dev' packages available at
+ SBo, at least one of them must be installed.
+2. starting from version 0.90, dbgl supports 64-bits architecture only;
+ if you need 32-bits you should install package 'dbgl-legacy' instead.
+
+Java 11 minimum is required, but any kind of 11+ SlackBuild jdk may
+build or run this package, eg zulu-openjdk17, OpenJDK11, or OpenJDK17.
diff --git a/desktop/dbgl/dbgl.SlackBuild b/desktop/dbgl/dbgl.SlackBuild
index b61b93fb17..9b3498249d 100644
--- a/desktop/dbgl/dbgl.SlackBuild
+++ b/desktop/dbgl/dbgl.SlackBuild
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for dbgl
-# Copyright 2018 Leonardo Citrolo, Italy
+# Copyright 2018-2020 Leonardo Citrolo, Italy
+# Copyright 2023 Yth | Pont-en-Royans, France | yth@ythogtha.org
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +23,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=dbgl
-VERSION=${VERSION:-0.82}
+VERSION=${VERSION:-0.98}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,16 +39,26 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-case "$ARCH" in
- i?86) ;;
- x86_64) ;;
- *) echo "$ARCH architecture is not supported"; exit 1 ;;
-esac
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+[[ $ARCH =~ i.86 ]] && echo "$ARCH architecture is not supported" && exit 1
set -e
@@ -54,7 +68,21 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
mkdir $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM${VERSION//./}_generic.tar.gz
+# Building from source creates the binary package.tar.gz
+unzip $CWD/src${VERSION//./}.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+ant
+
+# Converting the package.tar.gz into a Slackware package
+mkdir build
+cd build
+tar xvf ../dist/$PRGNAM${VERSION//./}.tar.gz
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -64,16 +92,9 @@ find -L . \
mkdir -p $PKG/usr/share/{$PRGNAM,applications} \
$PKG/usr/bin
-cp -a lib templates xsl $PRGNAM $PRGNAM.jar $PRGNAM.png \
+cp -a db lib templates xsl $PRGNAM $PRGNAM.jar $PRGNAM.png \
$PKG/usr/share/$PRGNAM
-# Remove unnecessary Arch-related stuff
-if [ "$ARCH" = "x86_64" ]; then
- rm -f $PKG/usr/share/$PRGNAM/lib/swtlin32.jar
-else
- rm -f $PKG/usr/share/$PRGNAM/lib/swtlin64.jar
-fi
-
# Create destop entry
cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
[Desktop Entry]
@@ -105,4 +126,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/dbgl/dbgl.info b/desktop/dbgl/dbgl.info
index 20fef6d1a3..ec554d1b18 100644
--- a/desktop/dbgl/dbgl.info
+++ b/desktop/dbgl/dbgl.info
@@ -1,10 +1,10 @@
PRGNAM="dbgl"
-VERSION="0.82"
-HOMEPAGE="http://members.quicknet.nl/blankendaalr/dbgl/"
-DOWNLOAD="http://members.quicknet.nl/blankendaalr/dbgl/download/dbgl082_generic.tar.gz"
-MD5SUM="70a9ab95e48687f0ec4593a750b7e755"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="dosbox openjdk7"
-MAINTAINER="Leo C."
-EMAIL="leoc@gmx.com"
+VERSION="0.98"
+HOMEPAGE="https://dbgl.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://dbgl.org/download/src098.zip"
+MD5SUM_x86_64="0766d38b176882cf5076ae31c46659aa"
+REQUIRES="dosbox apache-ant zulu-openjdk17"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/desktop/dbgl/slack-desc b/desktop/dbgl/slack-desc
index 8a258c6e7b..ae74d71b9a 100644
--- a/desktop/dbgl/slack-desc
+++ b/desktop/dbgl/slack-desc
@@ -12,8 +12,8 @@ dbgl: DBGL serves as a frontend / Graphical User Interface to DOSBox
dbgl: (configuration). It tries to make creating DOSBox configuration files
dbgl: a little easier by offering a (relatively) simple interface, some
dbgl: shortcuts and a little bit of intelligence (DOSBox behavior).
-dbgl: Once your DOS games are configured in DBGL, its very easy to setup or
+dbgl: Once your DOS games are configured in DBGL, it's very easy to setup or
dbgl: start them, or alter their configuration or associated DOSBox version.
dbgl:
+dbgl: This supports 64-bits architecture only.
dbgl: Homepage: http://members.quicknet.nl/blankendaalr/dbgl/
-dbgl: